import Animated from 'react-native-reanimated';
interface KeyframesConfig {
    keyframes: number[];
    easing?: Animated.EasingFunction;
    easingsByKeyframe?: {
        [key: number]: Animated.EasingFunction;
    };
}
declare function keyframes({ keyframes, easing, easingsByKeyframe, }: KeyframesConfig): (t: number) => number;
declare const Easing: {
    keyframes: typeof keyframes;
};
export { Easing, KeyframesConfig };
