import Animated from 'react-native-reanimated';
import { KeyframesConfig } from './easing';
interface WithKeyframesConfig {
    keyframes: KeyframesConfig['keyframes'];
    easing?: Animated.EasingFunction;
    easingsByKeyframe?: KeyframesConfig['easingsByKeyframe'];
    duration?: number;
    callback?: (isFinished: boolean) => void;
}
declare function withKeyframes({ keyframes, easing, easingsByKeyframe, callback, duration, }: WithKeyframesConfig): number;
export { withKeyframes };
